>From bd7a973b98366a89c97c2f31e83f8590cbb4ffb9 Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Fri, 8 Aug 2014 01:32:50 +0200
Subject: [PATCH] deb-reversion: fix missing hook support for udebs

---
 debian/changelog         |    9 +++++++++
 scripts/deb-reversion.sh |    2 ++
 2 files changed, 11 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 1445224..24eb5cf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+devscripts (2.14.7) UNRELEASED; urgency=low
+
+  * deb-reversion: update change_version(), fixing the missing call_hook
+    statement in the udeb case. That was overlooked when the changelog
+    massaging was made conditional, and causes hooks to be ignored for
+    udebs.
+
+ -- Cyril Brulebois <kibi@debian.org>  Fri, 08 Aug 2014 01:27:12 +0200
+
 devscripts (2.14.6) unstable; urgency=medium
 
   [ Benjamin Drung ]
diff --git a/scripts/deb-reversion.sh b/scripts/deb-reversion.sh
index de5af74..9c17b5a 100755
--- a/scripts/deb-reversion.sh
+++ b/scripts/deb-reversion.sh
@@ -183,6 +183,8 @@ change_version()
     dch $DCH_OPTIONS -v $VERSION -- $@
     call_hook
     gzip -9 -c debian/changelog >| $LOGFILE
+  else
+    call_hook
   fi
 
   sed -i -e "s,^Version: .*,Version: $VERSION," DEBIAN/control
-- 
1.7.10.4

